> ## Documentation Index
> Fetch the complete documentation index at: https://api.amlyze.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Import of customers

> This method sends data and creates assessments in Amlyze. Note: Customer evaluation and screening are not available in this service.



## OpenAPI

````yaml /api/openapi_api_adapter.json post /amlyze-ws-rest/batch-customers
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://{{baseUrl}}
    description: Generated server url
security:
  - bearerAuth: []
tags: []
paths:
  /amlyze-ws-rest/batch-customers:
    post:
      tags:
        - customer
      summary: Batch Import of customers
      description: >-
        This method sends data and creates assessments in Amlyze. Note: Customer
        evaluation and screening are not available in this service.
      operationId: batchCustomers
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchCustomersRequestDataApi'
            examples:
              mandatory_fields:
                summary: Mandatory fields example
                value:
                  customers:
                    - communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                      requester: SYSTEMX
                      businessUnit: sandbox
                      action: CREATE
                      riskLevel: LOW
                      riskManagementCategory: IND
                      customerExtId: IndividualExtId0
                      customerStatus: ACTIVE
                      entityType: INDIVIDUAL
                      applicationDate: '2016-01-01'
                      firstName: Tomas
                      lastName: Garcia
                      citizenshipCountry: LT
                    - communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                      requester: SYSTEMX
                      businessUnit: sandbox
                      action: CREATE
                      riskLevel: LOW
                      riskManagementCategory: ORG
                      entityType: ORGANIZATION
                      customerExtId: OrganizationExtId0
                      customerStatus: ACTIVE
                      applicationDate: '2016-01-01'
                      title: LTD Bull
                      registrationCountry: LV
                      legalForm: CORPORATION
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/BatchCustomersResponseDataApi'
            application/json:
              schema:
                $ref: '#/components/schemas/BatchCustomersResponseDataApi'
              examples:
                all_accepted:
                  summary: All requests accepted
                  value:
                    results:
                      - resultType: REQUEST_ACCEPTED
                        communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                        customerExtId: IndividualExtId0
                        businessUnit: sandbox
                        timeElapsedMs: 203
                      - resultType: REQUEST_ACCEPTED
                        communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                        customerExtId: OrganizationExtId0
                        businessUnit: sandbox
                        timeElapsedMs: 203
                    timeElapsedMs: 408
                partial_rejection:
                  summary: Partial rejection
                  value:
                    results:
                      - resultType: REQUEST_ACCEPTED
                        communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                        customerExtId: IndividualExtId0
                        businessUnit: sandbox
                        timeElapsedMs: 203
                      - resultType: REQUEST_REJECTED
                        communicationNumber: 1b1e1c23-f62f-4338-90b9-8d54993dd2cd
                        customerExtId: OrganizationExtId0
                        businessUnit: sandbox
                        errorCode: O005
                        errorDescription: CommunicationNumber already used in AMLYZE
                        timeElapsedMs: 20
                    timeElapsedMs: 223
        '400':
          description: >-
            Bad Request. The request is invalid, e.g., the JSON body is
            malformed. A list of possible error codes and their descriptions is
            available in the endpoint documentation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                timestamp: '2024-05-26T16:49:50.237+00:00'
                status: 400
                error: Bad Request
                path: /amlyze-ws-rest/batch-accounts
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                errorCode: '404'
                errorDescription: Not Found
                timeElapsedMs: 172
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiAdapterErrorResponse'
              example:
                errorCode: '500'
                errorDescription: Processing failed
                timeElapsedMs: 172
components:
  schemas:
    BatchCustomersRequestDataApi:
      properties:
        customers:
          items:
            $ref: '#/components/schemas/AmlyzeCustomerApi'
          type: array
      required:
        - customers
      type: object
    BatchCustomersResponseDataApi:
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string
        results:
          items:
            $ref: '#/components/schemas/BatchCustomerResultApi'
          type: array
        timeElapsedMs:
          format: int64
          type: integer
      type: object
    ApiAdapterErrorResponse:
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string
        resultType:
          type: string
        errors:
          type: array
          items:
            type: string
        timestamp:
          type: string
        status:
          type: number
        error:
          type: string
        path:
          type: string
    AmlyzeCustomerApi:
      properties:
        action:
          description: >-
            Element is used to indicate whether a client needs to be created or
            the existing customer's data to be updated. As this field is not
            mandatory and if not provided, `CREATE` value is set as default.


            ❗ By `UPDATE`ing, all data will be replaced with newly received one.
          enum:
            - CREATE
            - UPDATE
          type: string
        activityDescription:
          description: Description of entity activity.
          maxLength: 32768
          type: string
        activityInRestrictedRegionDescription:
          description: Description of business entities' activities in a restricted region.
          maxLength: 32768
          type: string
        amlOfficer:
          description: Whether the person is an AML officer.
          type: boolean
        applicationDate:
          description: Date when customer first applied.
          format: date
          type: string
        approvalDate:
          description: Date of application approval - onboarding date.
          format: date
          type: string
        birthCountry:
          dependentRequired:
            entityType:
              - INDIVIDUAL
          description: Country of birth of individual entity.
          type: string
        birthDate:
          dependentRequired:
            entityType:
              - INDIVIDUAL
          description: Date of birth of individual entity.
          format: date
          type: string
        businessUnit:
          description: >-
            It serves to specify the unique identifier for the business unit.
            Business units are logical groupings of users and data. Each
            business unit can have its own set of users, permissions, and data
            access rules. Value is taken from /classifier/businessUnit
            endpoint.❗Mandatory field for clients utilizing a
            multi-organizational solution. Omit this parameter unless instructed
            about it.
          maxLength: 255
          type: string
          x-dynamic-enum:
            path: /classifier/businessUnit
            valueField: code
        citizenshipCountry:
          description: Country of citizenship of individual entity.
          type: string
        closingDate:
          description: >-
            ❗Mandatory only when customerStatus = `CLOSED`. Not used when
            `customerStatus` is `PENDING`, `ACTIVE`, `REJECTED` or `SUSPENDED`.
          format: date
          type: string
        communicationNumber:
          description: >-
            Unique number of communication. It is used for risk assessment
            callback.
          maxLength: 255
          type: string
        companyAssetValue:
          description: Value of the company's assets.
          type: integer
        customerExtId:
          description: >-
            Unique external customer identifier. This identifier corresponds to
            the client's identifier in the financial institution.
          example: 019a5d1b-8c4f-770b-ad70-2f2a6c88aeda
          type: string
        customerStatus:
          description: >-
            Customer's predefined status represents the current standing or
            state of a customer's relationship with a business or organization.


            - `PENDING` - Customer application is received but not yet prepared
            for upcoming workflow

            - `ACTIVE` - Customer is onboarded and ready for workflow

            - `REJECTED`- the customer was rejected before account was opened

            - `SUSPENDED` - Customer's activities for some reasons are
            restricted

            - `CLOSED` - Customer's profile is disabled
          enum:
            - ACTIVE
            - CLOSED
            - PENDING
            - REJECTED
            - SUSPENDED
          type: string
        doesCashDominate:
          description: Whether cash is the main income source.
          type: boolean
        entityType:
          description: >-
            Type of the customer. `INDIVIDUAL` represents a natural person;
            `ORGANIZATION` represents a legal entity such as a company,
            partnership, or foundation.


            ❗ This value drives conditional field requirements:

            - `INDIVIDUAL` requires `firstName`, `lastName`

            - `ORGANIZATION` requires `title`, `registrationCountry`,
            `legalForm`


            Fields specific to the other entity type are not allowed. See each
            affected field's description for its individual constraint.
          enum:
            - INDIVIDUAL
            - ORGANIZATION
          type: string
        establishmentDate:
          description: Date of establishment of the organization.
          format: date
          type: string
        fieldOfActivity:
          $ref: '#/components/schemas/FieldOfActivityApi'
        firstName:
          description: |-
            First name of the individual.
            ❗ This field is mandatory when entityType is `INDIVIDUAL`.
          type: string
        giin:
          description: Global intermediary identification number.
          type: string
        hasMultiLayerStructure:
          description: Whether the entity has a multi-layer organizational structure.
          type: boolean
        incomeSourceDescription:
          description: Description of income source.
          maxLength: 32768
          type: string
        incomingPaymentDescription:
          description: Description of incoming payment operation.
          type: string
        initialDepositAccount:
          description: Account of initial deposit.
          maxLength: 200
          type: string
        initialDepositAmount:
          description: Initial deposit amount.
          format: double
          type: number
        initialDepositBank:
          description: Bank of initial deposit.
          maxLength: 200
          type: string
        initialDepositCurrency:
          description: Initial deposit currency. Taken from /classifier/currency endpoint.
          type: string
          x-dynamic-enum:
            path: /classifier/currency
            valueField: code
        initialDepositSource:
          description: Source of initial deposit.
          maxLength: 200
          type: string
        initializeScreeningProcesses:
          description: Defines which lists to check during screening process.
          items:
            type: string
            enum:
              - SANCTIONS
              - PEP
              - ADVERSE_MEDIA
              - INTERNAL_LIST
          type: array
        isActualAddressDeclared:
          description: Whether entity's actual address is declared.
          type: boolean
        isAudited:
          description: Whether the business entity is audited.
          type: boolean
        isCorrespondenceAddressDeclared:
          description: Whether entity's correspondence address is declared.
          type: boolean
        isDirectlyManaged:
          description: Whether entity is managed directly.
          type: boolean
        isFamilyPEP:
          description: Whether a family member of the individual is politically exposed.
          type: boolean
        isFinancialInstitution:
          description: Whether entity is a financial institution.
          type: boolean
        isFined:
          description: Whether the business entity is fined.
          type: boolean
        isInAdverseMedia:
          description: Whether there is adverse-media information about the entity.
          type: boolean
        isInInternalList:
          description: Whether there is internal-list information about the entity.
          type: boolean
        isLegalResident:
          description: Whether the individual is a legal resident.
          type: boolean
        isLicenseRequired:
          description: Whether the entity's activity requires a license.
          type: boolean
        isListed:
          description: Whether the business entity is listed on a stock exchange.
          type: boolean
        isLitigated:
          description: Whether the customer is involved in litigation.
          type: boolean
        isPEP:
          description: Whether the entity is politically exposed.
          type: boolean
        isRegulated:
          description: Whether the business entity is regulated by third-party authorities.
          type: boolean
        isSanctioned:
          description: Whether the entity is sanctioned.
          type: boolean
        lastName:
          description: |-
            Last name of the individual.
            ❗ This field is mandatory when entityType is `INDIVIDUAL`.
          type: string
        legalForm:
          description: >-
            Legal form of the organization. Value taken from
            /classifier/legalForm endpoint.

            ❗ This field is mandatory when entityType is `ORGANIZATION`.
          type: string
        lei:
          description: >-
            LEI stands for Legal Entity Identifier, which is a unique code used
            to identify legal entities that participate in financial
            transactions.
          type: string
        licenseDescription:
          description: Business entities license description.
          maxLength: 32768
          type: string
        listActivity:
          description: List of business activities.
          items:
            $ref: '#/components/schemas/ActivityApi'
          type: array
        listAdditionalValues:
          description: List of additional custom fields, typed by datatype.
          items:
            $ref: '#/components/schemas/AdditionalValueApi'
          type: array
        listAddress:
          description: List of addresses.
          items:
            $ref: '#/components/schemas/AddressApi'
          type: array
        listAppealReason:
          description: List of appeal reasons.
          items:
            $ref: '#/components/schemas/AppealReasonApi'
          type: array
        listBusinessEntityDocument:
          description: List of business entity documents.
          items:
            $ref: '#/components/schemas/BusinessEntityDocumentApi'
          type: array
        listContact:
          description: List of contacts.
          items:
            $ref: '#/components/schemas/ContactApi'
          type: array
        listCountryOfActivity:
          description: List of activity countries.
          items:
            $ref: '#/components/schemas/CountryOfActivityApi'
          type: array
        listCountryOfTaxPayment:
          description: List of countries where the customer pays tax.
          items:
            $ref: '#/components/schemas/CountryOfTaxPaymentApi'
          type: array
        listDeclaredTurnover:
          description: List of declared turnover ranges.
          items:
            $ref: '#/components/schemas/DeclaredTurnoverApi'
          type: array
        listIncomeSource:
          description: List of customer income sources.
          items:
            $ref: '#/components/schemas/IncomeSourceApi'
          type: array
        listIntroductionSource:
          description: List of customer introduction sources.
          items:
            $ref: '#/components/schemas/IntroductionSourceApi'
          type: array
        listOrderedService:
          description: List of services ordered by the customer.
          items:
            $ref: '#/components/schemas/OrderedServiceApi'
          type: array
        listPaymentCountry:
          description: List of countries involved in payment turnover.
          items:
            $ref: '#/components/schemas/PaymentCountryApi'
          type: array
        listPaymentPurpose:
          description: List of payment purposes by turnover direction.
          items:
            $ref: '#/components/schemas/PaymentPurposeApi'
          type: array
        listPurpose:
          description: |-
            Indicates whether the entity is on a risk-management list.

            - `WHITE` - Entity is allow-listed.
            - `BLACK` - Entity is block-listed.
          enum:
            - BLACK
            - WHITE
          type: string
        listRegionOfActivity:
          description: List of activity regions.
          items:
            $ref: '#/components/schemas/RegionOfActivityApi'
          type: array
        listRelatedEntity:
          description: List of related business entities.
          items:
            $ref: '#/components/schemas/RelatedEntityApi'
          type: array
        listSourceOfWealth:
          description: List of customer sources of wealth.
          items:
            $ref: '#/components/schemas/SourceOfWealthApi'
          type: array
        nationalCode:
          description: >-
            National code or national identification number of individual. If a
            country does not issue national code, any other unique identifier
            can be used:

            - Passport number

            - Social security number of person

            - A number of taxpayer or registration certificate of the company,
            etc.
          maxLength: 100
          type: string
        noMajorShareHolders:
          description: Whether entity has no major shareholders involved.
          type: boolean
        numberOfAudits:
          description: The number of times a business entity has been audited.
          type: integer
        numberOfEmployees:
          description: Number of employees.
          type: integer
        organizationalStructureDescription:
          description: Description of organizational structure.
          maxLength: 32768
          type: string
        outgoingPaymentDescription:
          description: Description of outgoing payment operation.
          type: string
        periodsOfAuditsInYears:
          description: The number of years that are in question for being audited.
          type: integer
        periodsOfFiningInYears:
          description: The number of years that are in question for being fined.
          type: integer
        permanentResidenceCountry:
          description: Country of permanent residence of individual entity.
          type: string
        placeOfBirth:
          dependentRequired:
            entityType:
              - INDIVIDUAL
          description: Place of birth of individual entity.
          type: string
        regionOfActivityDescription:
          description: Description of the region for activities.
          maxLength: 32768
          type: string
        registrationCountry:
          description: >-
            Country of registration of the organization. Value taken from
            /classifier/country endpoint.

            ❗ This field is mandatory when entityType is `ORGANIZATION`.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        requester:
          description: Name of the system requesting web service.
          maxLength: 100
          type: string
        riskLevel:
          description: Predefined risk level of imported customer.
          enum:
            - EXTREME
            - HIGH
            - LOW
            - MEDIUM
            - NONE
          type: string
        riskManagementCategory:
          description: >-
            Code of risk management category of the object. Value must be from a
            classifier list personalized to your company.
          type: string
        secondCitizenshipCountry:
          description: Country of second citizenship of individual entity.
          type: string
        sourceOfRiskLevel:
          description: >-
            The value `EVALUATE` is used for initiating a customer risk
            assessment. The value `IMPORT` should be used for migration only -
            the customer and it's questionnaire will be imported without risk
            assessment.
          enum:
            - EVALUATE
            - IMPORT
          type: string
        thirdPartyServicesUsed:
          description: Whether the entity uses third-party services.
          type: boolean
        thirdPartyServicesUsedDescription:
          description: Description of third-party services used by entity.
          maxLength: 32768
          type: string
        title:
          description: |-
            Title (official name) of the organization.
            ❗ This field is mandatory when entityType is `ORGANIZATION`.
          type: string
        tradingName:
          description: >-
            Public-facing trading name of the organization, if different from
            its legal name. Allowed only when entityType is `ORGANIZATION`.
          type: string
      required:
        - applicationDate
        - communicationNumber
        - customerExtId
        - entityType
        - requester
        - riskManagementCategory
        - sourceOfRiskLevel
      type: object
    BatchCustomerResultApi:
      properties:
        businessUnit:
          type: string
        communicationNumber:
          type: string
        customerExtId:
          type: string
        errorCode:
          type: string
        errorDescription:
          type: string
        resultType:
          enum:
            - REQUEST_ACCEPTED
            - REQUEST_REJECTED
          type: string
        timeElapsedMs:
          format: int64
          type: integer
      type: object
    FieldOfActivityApi:
      description: Information about the activities.
      properties:
        employment:
          $ref: '#/components/schemas/FieldEmploymentApi'
        other:
          $ref: '#/components/schemas/FieldOtherApi'
        pension:
          $ref: '#/components/schemas/FieldPensionApi'
        student:
          $ref: '#/components/schemas/FieldStudentApi'
      type: object
    ActivityApi:
      description: List of business activities.
      properties:
        activityType:
          description: >-
            Type of business activity. Value is taken from
            /classifier/activityType endpoint. Mandatory only when
            `listActivity` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/activityType
            valueField: code
        incomePercentage:
          description: Percentage of income from this activity.
          type: integer
      required:
        - activityType
      type: object
    AdditionalValueApi:
      description: List of additional custom fields, typed by datatype.
      properties:
        code:
          description: >-
            Identifier for the additional field. Mandatory only when
            `listAdditionalValues` is provided.
          type: string
        datatype:
          description: >-
            Type of provided value. Mandatory only when `listAdditionalValues`
            is provided.
          enum:
            - BOOLEAN
            - DATE
            - DECIMAL
            - INTEGER
            - STRING
            - TIMESTAMP
          type: string
        description:
          description: >-
            Human readable description of the field. Mandatory only when
            `listAdditionalValues` is provided.
          type: string
        value:
          description: >-
            Value of the field. Mandatory only when `listAdditionalValues` is
            provided.
          type: string
      required:
        - code
        - datatype
        - description
        - value
      type: object
    AddressApi:
      description: List of addresses.
      properties:
        addressDetails:
          description: Full address description.
          example: Building B.
          maxLength: 255
          type: string
        addressType:
          description: >-
            Type of entity address. Value is taken from /classifier/addressType
            endpoint.
          type: string
          x-dynamic-enum:
            path: /classifier/addressType
            valueField: code
        city:
          description: City of the given address.
          example: Vilnius
          maxLength: 100
          type: string
        country:
          description: >-
            Country of the given address. Mandatory only when `listAddress` is
            provided.
          example: LT
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        region:
          description: >-
            Region of the given address. Value is taken from /classifier/country
            endpoint with indicator `isRegion=true`.
          example: EU
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        streetAddress:
          description: Street address of the given address.
          maxLength: 255
          type: string
        useForCorrespondence:
          description: Whether the address is used for correspondence.
          type: boolean
        zipCode:
          description: Zip code of the address.
          maxLength: 50
          type: string
      required:
        - addressType
      type: object
    AppealReasonApi:
      description: List of appeal reasons.
      properties:
        appealReasonType:
          type: string
      required:
        - appealReasonType
      type: object
    BusinessEntityDocumentApi:
      description: List of business entity documents.
      properties:
        description:
          description: A description of the document.
          maxLength: 400
          type: string
        documentExpiryDate:
          description: The expiry date of the document in question.
          format: date
          type: string
        documentIssueAuthority:
          description: >-
            An authority that issued the document. Mandatory only when
            `listBusinessEntityDocument` is provided.
          maxLength: 100
          type: string
        documentIssueCountry:
          description: >-
            The country that issued the document. Value is taken from
            `/classifier/country` endpoint. Mandatory only when
            `listBusinessEntityDocument` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        documentIssueDate:
          description: >-
            The issue date of the document in question. Mandatory only when
            `listBusinessEntityDocument` is provided.
          format: date
          type: string
        documentNumber:
          description: >-
            The number of the document in question. Mandatory only when
            `listBusinessEntityDocument` is provided.
          type: string
        entityType:
          description: >-
            Type of the entity that this document attaches to. `INDIVIDUAL`
            represents a natural person; `ORGANIZATION` represents a legal
            entity such as a company, partnership, or foundation; `UNKNOWN`
            represents a party whose type has not yet been classified. Mandatory
            only when `listBusinessEntityDocument` is provided.
          enum:
            - INDIVIDUAL
            - ORGANIZATION
            - UNKNOWN
          type: string
        identityDocumentType:
          description: >-
            Identification document type. Mandatory only when
            `listBusinessEntityDocument` is provided.
          enum:
            - DRIVINGLICENSE
            - IDENTITYCARD
            - OTHER
            - PASSPORT
            - REGISTRATIONCERTIFICATE
            - RESIDENCEPERMIT
          type: string
      required:
        - description
        - documentIssueAuthority
        - documentIssueCountry
        - documentIssueDate
        - documentNumber
        - entityType
        - identityDocumentType
      type: object
    ContactApi:
      description: List of contacts.
      properties:
        contactDetails:
          description: Details of contact. Mandatory only when `listContact` is provided.
          example: example@example.com
          type: string
        contactType:
          description: >-
            Way of contacting entity. Mandatory only when `listContact` is
            provided.
          enum:
            - EMAIL
            - FIXEDPHONE
            - MOBILEPHONE
            - WEBSITE
          type: string
          x-dynamic-enum:
            path: /classifier/contactType
            valueField: code
        useForCommunication:
          description: Whether the contact is used for communication.
          type: boolean
      required:
        - contactDetails
        - contactType
      type: object
    CountryOfActivityApi:
      description: List of activity countries.
      properties:
        country:
          description: >-
            Country where the activity takes place. Value is taken from
            `/classifier/country` endpoint. This field is mandatory.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
      required:
        - country
      type: object
    CountryOfTaxPaymentApi:
      description: List of countries where the customer pays tax.
      properties:
        country:
          description: >-
            Country where the tax payment is made. Value is taken from
            `/classifier/country` endpoint. Mandatory only when
            `listCountryOfTaxPayment` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        taxpayerNumber:
          description: The tax identification number of the taxpayer.
          type: string
      required:
        - country
      type: object
    DeclaredTurnoverApi:
      description: List of declared turnover ranges.
      properties:
        from:
          description: >-
            Amount range from. Mandatory only when `listDeclaredTurnover` is
            provided and `to` is not provided.
          example: '1000'
          type: integer
        to:
          description: >-
            Amount range to. At least one value (from or to) must be specified.
            Mandatory only when `listDeclaredTurnover` is provided and `from` is
            not provided.
          example: '5000'
          type: integer
        turnoverRange:
          description: >-
            Range of declared turnover. Mandatory only when
            `listDeclaredTurnover` is provided.
          enum:
            - ANNUAL
            - DAILY
            - MONTHLY
            - SINGLE
          type: string
        turnoverType:
          description: >-
            Type of declared turnover. Value taken from /classifier/turnoverType
            endpoint. Mandatory only when `listDeclaredTurnover` is provided.
          type: string
      required:
        - turnoverRange
        - turnoverType
      type: object
    IncomeSourceApi:
      description: List of customer income sources.
      properties:
        from:
          description: Amount range from.
          type: integer
        incomePercentage:
          description: Percentage of income source.
          type: integer
        incomeSourceType:
          description: >-
            Type of income source. Value is taken from
            /classifier/incomeSourceType endpoint. Mandatory only when
            `listIncomeSource` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/incomeSourceType
            valueField: code
        to:
          description: Amount range to.
          type: integer
      required:
        - incomeSourceType
      type: object
    IntroductionSourceApi:
      description: List of customer introduction sources.
      properties:
        introductionSource:
          description: >-
            Introduction source. Value is taken from
            /classifier/introductionSourceType endpoint. Mandatory only when
            `listIntroductionSource` is provided.
          maxLength: 255
          type: string
      required:
        - introductionSource
      type: object
    OrderedServiceApi:
      description: List of services ordered by the customer.
      properties:
        serviceType:
          description: >-
            Service type. Value is taken from /classifier/serviceType endpoint.
            Mandatory only when `listOrderedService` is provided.
          maxLength: 255
          type: string
          x-dynamic-enum:
            path: /classifier/serviceType
            valueField: code
      required:
        - serviceType
      type: object
    PaymentCountryApi:
      description: List of countries involved in payment turnover.
      properties:
        country:
          description: >-
            Country code. Value is taken from /classifier/country endpoint.
            Mandatory only when `listPaymentCountry` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        turnoverDirection:
          description: >-
            Direction of payment turnover. Mandatory only when
            `listPaymentCountry` is provided.
          enum:
            - IN
            - OUT
          type: string
      required:
        - country
        - turnoverDirection
      type: object
    PaymentPurposeApi:
      description: List of payment purposes by turnover direction.
      properties:
        paymentPurposeType:
          description: >-
            Type of payment purpose. Value is taken from
            /classifier/paymentPurposeType endpoint. Mandatory only when
            `listPaymentPurpose` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/paymentPurposeType
            valueField: code
        turnoverDirection:
          description: >-
            Direction of payment turnover. Mandatory only when
            `listPaymentPurpose` is provided.
          enum:
            - IN
            - OUT
          type: string
      required:
        - paymentPurposeType
        - turnoverDirection
      type: object
    RegionOfActivityApi:
      description: List of activity regions.
      properties:
        region:
          description: >-
            Region code. Value is taken from /classifier/country endpoint where
            indicator `isRegion=true`. Mandatory only when
            `listRegionOfActivity` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
      required:
        - region
      type: object
    RelatedEntityApi:
      description: List of related business entities.
      properties:
        activityDescription:
          description: Activity description of the related entity.
          type: string
        birthCountry:
          description: >-
            Birth country of the related entity. Value taken from
            /classifier/country endpoint
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        birthDate:
          dependentRequired:
            entityType:
              - INDIVIDUAL
          description: Birth date of the related individual entity.
          format: date
          type: string
        country:
          description: >-
            If entityType is `INDIVIDUAL`, the country refers to the citizenship
            of the individual. If entityType is `ORGANIZATION`, the country
            refers to the country of registration of the organization.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        countryOfBusinessOperations:
          deprecated: true
          description: >-
            Deprecated. Country where the related entity conducts business
            operations.
          type: string
        customerExtId:
          description: Fill when related entity is also a customer in AMLYZE.
          type: string
        entityType:
          description: >-
            Type of the related entity. `INDIVIDUAL` represents a natural
            person; `ORGANIZATION` represents a legal entity such as a company,
            partnership, or foundation; `UNKNOWN` represents a related party
            whose type has not yet been classified.


            ❗ This value drives conditional field requirements:

            - `INDIVIDUAL` and `UNKNOWN` require either `title` OR both
            `firstName` and `lastName`

            - `ORGANIZATION` requires `title`


            Mandatory only when `listRelatedEntity` is provided.
          enum:
            - INDIVIDUAL
            - ORGANIZATION
            - UNKNOWN
          type: string
        establishmentDate:
          dependentRequired:
            entityType:
              - ORGANIZATION
          description: Establishment date for organization type entities.
          format: date
          type: string
        extId:
          description: External related entity identifier.
          type: string
        firstName:
          description: >-
            First name of the related individual.

            ❗ This field is mandatory when entityType is `INDIVIDUAL` or
            `UNKNOWN` and `title` is not provided. Must be paired with
            `lastName`.
          type: string
        isInAdverseMedia:
          description: Whether there is adverse-media information about the entity.
          type: boolean
        isInInternalList:
          description: Whether there is internal-list information about the entity.
          type: boolean
        isPEP:
          description: Whether the entity is politically exposed.
          type: boolean
        isSanctioned:
          description: Whether the entity is sanctioned.
          type: boolean
        lastName:
          description: >-
            Last name of the related individual.

            ❗ This field is mandatory when entityType is `INDIVIDUAL` or
            `UNKNOWN` and `title` is not provided. Must be paired with
            `firstName`.
          type: string
        legalForm:
          description: Legal form of the organization.
          type: string
          x-dynamic-enum:
            path: /classifier/legalForm
            valueField: code
        listActivity:
          description: List of business activities.
          items:
            $ref: '#/components/schemas/ActivityApi'
          type: array
        listAdditionalValues:
          description: List of additional custom fields, typed by datatype.
          items:
            $ref: '#/components/schemas/AdditionalValueApi'
          type: array
        listAddress:
          description: List of addresses.
          items:
            $ref: '#/components/schemas/AddressApi'
          type: array
        listBusinessEntityDocument:
          description: List of business entity documents.
          items:
            $ref: '#/components/schemas/BusinessEntityDocumentApi'
          type: array
        listContact:
          description: List of contacts.
          items:
            $ref: '#/components/schemas/ContactApi'
          type: array
        listCountryOfActivity:
          description: List of activity countries.
          items:
            $ref: '#/components/schemas/CountryOfActivityApi'
          type: array
        listIncomeSource:
          description: List of customer income sources.
          items:
            $ref: '#/components/schemas/IncomeSourceApi'
          type: array
        listRegionOfActivity:
          description: List of activity regions.
          items:
            $ref: '#/components/schemas/RegionOfActivityApi'
          type: array
        nationalCode:
          description: >-
            National code or national identification number of the individual or
            organization.
          maxLength: 100
          type: string
        regionOfActivityDescription:
          description: Description of the region for activities.
          maxLength: 32768
          type: string
        registrationCountry:
          deprecated: true
          description: >-
            Deprecated. Country of registration of the related organization —
            use `country` field instead when entityType is `ORGANIZATION`.
          type: string
        relationDescription:
          description: Description of the relationship between entities.
          maxLength: 1000
          type: string
        relationType:
          description: >-
            Type of relationship between entities. Value taken from
            `/classifier/relationType` endpoint. Mandatory only when
            `listRelatedEntity` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/relationType
            valueField: code
        share:
          description: >-
            Shares owned by shareholders in the organization of the business
            entity.
          type: integer
        title:
          dependentRequired:
            entityType:
              - ORGANIZATION
          description: >-
            Title (official name) of the related entity. For `INDIVIDUAL` or
            `UNKNOWN` entities, can serve as the entity's name when `firstName`
            and `lastName` are not provided.

            ❗ This field is mandatory when entityType is `ORGANIZATION`. For
            `INDIVIDUAL` or `UNKNOWN` entityType, this field is mandatory when
            `firstName` and `lastName` are not provided.
          type: string
        votePercentage:
          description: >-
            Vote percentage of shareholders in the organization of the business
            entity.
          type: integer
      required:
        - entityType
        - relationType
      type: object
    SourceOfWealthApi:
      description: List of customer sources of wealth.
      properties:
        amount:
          description: Collected monetary amount.
          type: number
        code:
          description: >-
            Source of wealth code. Value is taken from
            /classifier/sourceOfWealth endpoint. Mandatory only when
            `listSourceOfWealth` is provided.
          type: string
          x-dynamic-enum:
            path: /classifier/sourceOfWealth
            valueField: code
        comment:
          description: Additional details about the source of wealth.
          type: string
      type: object
    FieldEmploymentApi:
      description: Information about the employment.
      properties:
        employerTitle:
          description: Title of the employer.
          type: string
        employmentPositionDescription:
          description: Description of the employment position.
          type: string
        isEmployee:
          description: Whether the individual is an employee.
          type: boolean
        isSelfEmployed:
          description: Whether the individual is self-employed.
          type: boolean
        isUnemployed:
          description: Whether the individual is unemployed.
          type: boolean
      type: object
    FieldOtherApi:
      description: >-
        Information about other field-of-activity types not covered by
        employment, pension, or student.
      properties:
        isOtherStatus:
          description: Whether the individual has another status.
          type: boolean
        otherStatusDescription:
          description: Description of the other status.
          maxLength: 32768
          type: string
      type: object
    FieldPensionApi:
      description: Information about the pension.
      properties:
        isPensioner:
          description: Whether the individual is a pensioner.
          type: boolean
        pensionCountry:
          description: >-
            The country responsible for paying an individual's pension. Value
            taken from `/classifier/country` endpoint.
          type: string
      type: object
    FieldStudentApi:
      description: Information about the studies.
      properties:
        higherSchoolCountry:
          description: >-
            Country where customer is studying. Value is taken from
            `/classifier/country` endpoint.
          type: string
          x-dynamic-enum:
            path: /classifier/country
            valueField: code
        higherSchoolTitle:
          description: Name of the higher school where customer is studying.
          type: string
        isStudent:
          description: Whether the individual is a student.
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````